Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Interface IContentAssistantExtension3

All Known Implementing Classes:
  ContentAssistant, SubjectControlContentAssistant

    public interface IContentAssistantExtension3

Extends `IContentAssistant` with the following function:

- a key-sequence to listen for in repeated invocation mode

Since:
  3.2

Method Summary
`void` `setRepeatedInvocationTrigger(KeySequence sequence)` Sets the key sequence to listen for in repeated invocation mode.

Method Detail

### setRepeatedInvocationTrigger

    void setRepeatedInvocationTrigger(KeySequence sequence)

  Sets the key sequence to listen for in repeated invocation mode. If the key sequence is encountered, a step in the repetition iteration is triggered.

  Parameters:
    `sequence` - the key sequence used for the repeated invocation mode or `null` if none

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.